Repository 32bit  Forum
Repository 64bit  Wiki

Problemi con aMule 2.2.6 [RISOLTO]

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Problemi con aMule 2.2.6 [RISOLTO]

Messaggioda hashbang » ven giu 04, 2010 18:31

Salve a tutti ragazzi,

ho un problema con aMule 2.2.6 che ho scaricato con le relative dipendenze. Il problema è che questo programma mi richiede una libreria che non riesco assolutamente a trovare "libbfd-2.18.50.0.9.20080822.so". Dove la posso trovare?
Ultima modifica di hashbang il ven giu 04, 2010 19:35, modificato 1 volta in totale.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1830
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Problemi con aMule 2.2.6

Messaggioda targzeta » ven giu 04, 2010 19:04

Quella libreria è nelle binutils che sono di default nella Slackware, può darsi che tu l'abbia già il pacchetto, fai un:
Codice: Seleziona tutto
grep libbfd /var/log/packages/*


Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6157
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: Problemi con aMule 2.2.6

Messaggioda hashbang » ven giu 04, 2010 19:07

spina ha scritto:Quella libreria è nelle binutils che sono di default nella Slackware, può darsi che tu l'abbia già il pacchetto, fai un:
Codice: Seleziona tutto
grep libbfd /var/log/packages/*


Emanuele


Ecco il risultato:
atomix600@atomix600-desktop:~$ grep libbfd /var/log/packages/*
/var/log/packages/binutils-2.20.51.0.8-i486-1:usr/lib/libbfd.a
/var/log/packages/binutils-2.20.51.0.8-i486-1:usr/lib/libbfd.la
/var/log/packages/binutils-2.20.51.0.8-i486-1:usr/lib/libbfd-2.20.51.0.8.20100412.so
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1830
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Problemi con aMule 2.2.6

Messaggioda targzeta » ven giu 04, 2010 19:14

Dovresti semplicemente rifare il pacchetto perchè la libreria che hai è più aggiornata di quella richiesta. Comunque puoi provare una via più semplice:
Codice: Seleziona tutto
#> cd /usr/lib/
#> ln -s libbfd-2.20.51.0.8.20100412.so libbfd-2.18.50.0.9.20080822.so
anche se non è assicurato che vada tutto bene.

Emanuele

P.S. Per curiosità, dove lo hai trovato il pacchetto?
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6157
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: Problemi con aMule 2.2.6

Messaggioda hashbang » ven giu 04, 2010 19:19

spina ha scritto:Dovresti semplicemente rifare il pacchetto perchè la libreria che hai è più aggiornata di quella richiesta. Comunque puoi provare una via più semplice:
Codice: Seleziona tutto
#> cd /usr/lib/
#> ln -s libbfd-2.20.51.0.8.20100412.so libbfd-2.18.50.0.9.20080822.so
anche se non è assicurato che vada tutto bene.

Emanuele

P.S. Per curiosità, dove lo hai trovato il pacchetto?


Il pacchetto di aMule l'ho preso sui repo di questo sito . comunque la dipendenza è stata risolta. ora però aMule non si avvia. Sul Pannello esce il suo pulsante ma poi scompare.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1830
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Problemi con aMule 2.2.6

Messaggioda sya54M » ven giu 04, 2010 19:30

il pacchetto su questo repository è ancora per la 13.0
puoi usare quello di ponce dal suo repository personale per la current, che praticamente è 13.1
http://ponce.cc/slackware/slackware-current/packages/
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1429
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: Problemi con aMule 2.2.6

Messaggioda hashbang » ven giu 04, 2010 19:32

Ecco cosa esce sul terminale quando avvio aMule

atomix600@atomix600-desktop:~$ amule
Initialising aMule 2.2.6 using wxGTK2 v2.8.10
Checking if there is an instance already running...
No other instances are running.

--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
http://forum.amule.org/index.php?board=67.0
If possible, please try to generate a real backtrace of this crash:
http://wiki.amule.org/index.php/Backtraces

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule 2.2.6 using wxGTK2 v2.8.10
Running on: Linux 2.6.33.4-smp i686

BFD: BFD (Linux/GNU Binutils) 2.20.51.0.8.20100412 internal error, aborting at elf.c line 7244 in _bfd_elf_get_lineno

BFD: Please report this bug.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1830
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Problemi con aMule 2.2.6

Messaggioda targzeta » ven giu 04, 2010 19:33

Immaginavo, hai preso il pacchetto per la 13.0 quando invece hai la 13.1. Devi rifare il pacchetto. Scaricati:
  • http://repository.slacky.eu/slackware-13.0/network/amule/2.2.6/src/amule.SlackBuild
  • http://repository.slacky.eu/slackware-13.0/network/amule/2.2.6/src/slack-desc
  • http://repository.slacky.eu/slackware-13.0/network/amule/2.2.6/src/aMule-2.2.6.tar.bz2
mettili tutti insieme in una stessa directory, ad esempio
Codice: Seleziona tutto
/tmp/aMule
e poi fai:
Codice: Seleziona tutto
$> cd /tmp/aMule
$> sed -i /require/s/require/#require/ amule.SlackBuild
#> sh amule.SlackBuild
con tanti augiri :). Se tutto va bene dopo che tutto sarà finito avrai il pacchetto da installare "amule-2.2.6-i686-1sl.txz ".

Prima però elimina il pacchetto che hai attualmente con:
Codice: Seleziona tutto
removepkg amule


Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6157
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: Problemi con aMule 2.2.6

Messaggioda hashbang » ven giu 04, 2010 19:35

sya54M ha scritto:il pacchetto su questo repository è ancora per la 13.0
puoi usare quello di ponce dal suo repository personale per la current, che praticamente è 13.1
http://ponce.cc/slackware/slackware-current/packages/


Ho scaricato e sostituito aMule con il pacchetto da te dato. Problema Risolto. Grazie Mille :D
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1830
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: Problemi con aMule 2.2.6

Messaggioda targzeta » ven giu 04, 2010 19:35

Puoi anche eliminare il link che hai fatto prima con:
Codice: Seleziona tutto
#> cd /usr/lib
#> rm libbfd-2.18.50.0.9.20080822.so


Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6157
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: Problemi con aMule 2.2.6 [RISOLTO]

Messaggioda sya54M » ven giu 04, 2010 19:43

atomix600 ha scritto:
sya54M ha scritto:il pacchetto su questo repository è ancora per la 13.0
puoi usare quello di ponce dal suo repository personale per la current, che praticamente è 13.1
http://ponce.cc/slackware/slackware-current/packages/


Ho scaricato e sostituito aMule con il pacchetto da te dato. Problema Risolto. Grazie Mille :D

grazie a ponce :thumbright:
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1429
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13


Torna a Packages

Chi c’è in linea

Visitano il forum: Bing [Bot] e 2 ospiti